%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global rhosp 1

%if 0%{?rhosp} == 0
%global with_translation_extraction_support 1
%else
%global with_translation_extraction_support 0
%endif

Name:       python-django-horizon
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:      1
Version:    13.0.3
Release:    9%{?dist}
Summary:    Django application for talking to Openstack

Group:      Development/Libraries
# Code in horizon/horizon/utils taken from django which is BSD
License:    ASL 2.0 and BSD
URL:        http://horizon.openstack.org/
Source0:    https://tarballs.openstack.org/horizon/horizon-%{upstream_version}.tar.gz
#

Source2:    openstack-dashboard-httpd-2.4.conf
Source3:    python-django-horizon-systemd.conf

# demo config for separate logging
Source4:    openstack-dashboard-httpd-logging.conf

# logrotate config
Source5:    python-django-horizon-logrotate.conf


# patches_ignore=DROP-IN-RPM
# patches_base=13.0.3
Patch0001: 0001-Allow-keypairs-to-contain-a-underscore.patch
Patch0002: 0002-Fixing-a-link-in-templates-of-CG-and-CG-snapshots.patch
Patch0003: 0003-rework-memoized-as-a-LRU-cache-with-expiry.patch
Patch0004: 0004-Don-t-expose-endpoint-URLs-in-the-login-form.patch
Patch0005: 0005-Fixes-creating-nondefault-type-volumes-from-volume.patch
Patch0006: 0006-Properly-calculate-auth_url-for-WEBSSO-from-POST-dat.patch
Patch0007: 0007-Fix-downstream-tests.patch
Patch0008: 0008-Use-POST-Redirect-GET-for-an-instance-resize-form.patch
Patch0009: 0009-Ensure-to-show-security-groups-only-from-current-pro.patch
Patch0010: 0010-Reproduce-navigations-on-refreshing-ngdetails-view.patch
Patch0011: 0011-Redirect-back-if-deleting-from-image-details.patch
Patch0012: 0012-Allow-image-format-edit-only-for-queued-images.patch
Patch0013: 0013-Fix-deleting-port-from-port-details-page.patch
Patch0014: 0014-Fix-quoting-in-zuul-for-tempest-plugins.patch
Patch0015: 0015-Fix-handling-multibyte-languages.patch
Patch0016: 0016-Avoid-forced-logout-when-403-error-encountered.patch
Patch0017: 0017-Force-encoding-of-port-and-network-names.patch
Patch0018: 0018-Use-microversion-2.60-when-attaching-a-multiattach-v.patch
Patch0019: 0019-Ensure-python-versions.patch
Patch0020: 0020-Fix-typo-in-publicize_image-policy-name.patch
Patch0021: 0021-Add-pagination-to-Source-table-in-Launch-Instance-wi.patch
Patch0022: 0022-Set-up-the-initial-displayed-values-in-all-boot-sour.patch
Patch0023: 0023-Fix-open-redirect.patch
Patch0024: 0024-Add-hide_create_volume-to-LAUNCH_INSTANCE_DEFAULTS.patch
Patch0025: 0025-Work-around-a-race-condition-in-OrderedDict.popitem.patch
Patch0026: 0026-Check-if-the-alert-box-has-a-sibling-element-delete-.patch

# BuildArch needs to be located below patches in the spec file. Don't ask!
#

BuildArch:  noarch

BuildRequires:   python-django
Requires:   python-django


Requires:   pytz
Requires:   python-six >= 1.10.0
Requires:   python-pbr

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 2.0.0
BuildRequires: git
BuildRequires: python-six >= 1.10.0
BuildRequires: gettext

# for checks:
BuildRequires:   python-django-nose
BuildRequires:   python-mox3
BuildRequires:   python-nose-exclude
BuildRequires:   python-nose
BuildRequires:   python-selenium
BuildRequires:   python-osprofiler
BuildRequires:   python-netaddr
BuildRequires:   python-anyjson
BuildRequires:   python-iso8601

# additional provides to be consistent with other django packages
Provides: django-horizon = %{epoch}:%{version}-%{release}
Obsoletes: python-django-openstack-auth < 4.0.0-1
Obsoletes: python2-django-openstack-auth < 4.0.0-1
# (TODO) remove following provides once the requirements have been fixed
# in all dashboard plugins
Provides: python-django-openstack-auth = %{epoch}:%{version}-%{release}
Provides: python2-django-openstack-auth = %{epoch}:%{version}-%{release}

%description
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)


%package -n openstack-dashboard
Summary:    Openstack web user interface reference implementation
Group:      Applications/System

Requires:   httpd
Requires:   mod_wsgi
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   python2-django-compressor >= 2.0
Requires:   python-django-appconf
Requires:   python-lesscpy

Requires:   python2-iso8601
Requires:   python2-glanceclient >= 1:2.8.0
Requires:   python2-keystoneclient >= 1:3.8.0
Requires:   python2-keystoneauth1 >= 3.3.0
Requires:   python2-novaclient >= 1:9.1.0
Requires:   python2-neutronclient >= 6.3.0
Requires:   python2-cinderclient >= 3.3.0
Requires:   python2-swiftclient >= 3.2.0
Requires:   python2-netaddr
Requires:   python2-osprofiler >= 1.4.0

Requires:   openstack-dashboard-theme >= 1:13.0

Requires:   python-pymongo >= 3.0.2
Requires:   python2-django-pyscss >= 2.0.2
Requires:   python-semantic_version
Requires:   python2-XStatic
Requires:   python-XStatic-jQuery
Requires:   python2-XStatic-Angular >= 1:1.5.8.0
Requires:   python2-XStatic-Angular-Bootstrap
Requires:   python2-XStatic-Angular-Schema-Form
Requires:   python2-XStatic-D3
Requires:   python2-XStatic-Font-Awesome
Requires:   python-XStatic-Hogan
Requires:   python-XStatic-JQuery-Migrate
Requires:   python-XStatic-JQuery-TableSorter
Requires:   python-XStatic-JQuery-quicksearch
Requires:   python2-XStatic-JSEncrypt
Requires:   python2-XStatic-Jasmine
Requires:   python-XStatic-Rickshaw
Requires:   python-XStatic-Spin
Requires:   python-XStatic-jquery-ui
Requires:   python-XStatic-Bootstrap-Datepicker
Requires:   python2-XStatic-Bootstrap-SCSS >= 3.3.7.1
Requires:   python2-XStatic-termjs
Requires:   python2-XStatic-smart-table
Requires:   python-XStatic-Angular-lrdragndrop
Requires:   python2-XStatic-Angular-Gettext
Requires:   python2-XStatic-Angular-FileUpload
Requires:   python-XStatic-Magic-Search
Requires:   python2-XStatic-bootswatch
Requires:   python2-XStatic-roboto-fontface >= 0.5.0.0
Requires:   python2-XStatic-mdi
Requires:   python2-XStatic-objectpath
Requires:   python2-XStatic-tv4

Requires:   python2-scss >= 1.3.4
Requires:   fontawesome-fonts-web >= 4.1.0

Requires:   python2-oslo-concurrency >= 3.24.0
Requires:   python2-oslo-config >= 2:5.1.0
Requires:   python2-oslo-i18n >= 3.15.3
Requires:   python2-oslo-serialization >= 2.18.0
Requires:   python2-oslo-utils >= 3.33.0
Requires:   python2-oslo-policy >= 1.30.0
Requires:   python2-babel
Requires:   python2-futurist
Requires:   python-pint

Requires:   openssl
Requires:   logrotate

Requires:   PyYAML >= 3.10

%if 0%{?with_translation_extraction_support} == 1
Requires:   python-django-babel
%endif

BuildRequires: python2-django-compressor >= 2.0
BuildRequires: python-django-appconf
BuildRequires: python-lesscpy
BuildRequires: python-semantic_version
BuildRequires: python2-django-pyscss >= 2.0.2
BuildRequires: python2-XStatic
BuildRequires: python-XStatic-jQuery
BuildRequires: python2-XStatic-Angular >= 1:1.5.8.0
BuildRequires: python2-XStatic-Angular-Bootstrap
BuildRequires: python2-XStatic-Angular-Schema-Form
BuildRequires: python2-XStatic-D3
BuildRequires: python2-XStatic-Font-Awesome
BuildRequires: python-XStatic-Hogan
BuildRequires: python-XStatic-JQuery-Migrate
BuildRequires: python-XStatic-JQuery-TableSorter
BuildRequires: python-XStatic-JQuery-quicksearch
BuildRequires: python2-XStatic-JSEncrypt
BuildRequires: python2-XStatic-Jasmine
BuildRequires: python-XStatic-Rickshaw
BuildRequires: python-XStatic-Spin
BuildRequires: python-XStatic-jquery-ui
BuildRequires: python-XStatic-Bootstrap-Datepicker
BuildRequires: python2-XStatic-Bootstrap-SCSS
BuildRequires: python2-XStatic-termjs
BuildRequires: python2-XStatic-smart-table
BuildRequires: python-XStatic-Angular-lrdragndrop
BuildRequires: python2-XStatic-Angular-FileUpload
BuildRequires: python-XStatic-Magic-Search
BuildRequires: python2-XStatic-Angular-Gettext
BuildRequires: python2-XStatic-bootswatch
BuildRequires: python2-XStatic-roboto-fontface
BuildRequires: python2-XStatic-mdi
BuildRequires: python2-XStatic-objectpath
BuildRequires: python2-XStatic-tv4
# bootstrap-scss requires at least python-scss >= 1.2.1
BuildRequires: python2-scss >= 1.3.4
BuildRequires: fontawesome-fonts-web >= 4.1.0
BuildRequires: python2-oslo-concurrency
BuildRequires: python2-oslo-config
BuildRequires: python2-oslo-i18n
BuildRequires: python2-oslo-serialization
BuildRequires: python2-oslo-utils
BuildRequires: python2-oslo-policy
BuildRequires: python2-babel
BuildRequires: python-pint

BuildRequires: pytz
BuildRequires: systemd

%description -n openstack-dashboard
Openstack Dashboard is a web user interface for Openstack. The package
provides a reference implementation using the Django Horizon project,
mostly consisting of JavaScript and CSS to tie it altogether as a standalone
site.


%package doc
Summary:    Documentation for Django Horizon
Group:      Documentation

Requires:   %{name} = %{epoch}:%{version}-%{release}
BuildRequires: python-sphinx >= 1.1.3

# Doc building basically means we have to mirror Requires:
BuildRequires: python2-openstackdocstheme
BuildRequires: python2-glanceclient
BuildRequires: python2-keystoneclient
BuildRequires: python2-novaclient >= 1:6.0.0
BuildRequires: python2-neutronclient
BuildRequires: python2-cinderclient
BuildRequires: python2-swiftclient

%description doc
Documentation for the Django Horizon application for talking with Openstack

%prep
%autosetup -n horizon-%{upstream_version} -S git

# drop config snippet
cp -p %{SOURCE4} .

# customize default settings
# WAS [PATCH] disable debug, move web root
sed -i "/^DEBUG =.*/c\DEBUG = False" openstack_dashboard/local/local_settings.py.example
sed -i "/^WEBROOT =.*/c\WEBROOT = '/dashboard/'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*ALLOWED_HOSTS =.*/c\ALLOWED_HOSTS = ['horizon.example.com', 'localhost']" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*LOCAL_PATH =.*/c\LOCAL_PATH = '/tmp'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*POLICY_FILES_PATH =.*/c\POLICY_FILES_PATH = '/etc/openstack-dashboard'" openstack_dashboard/local/local_settings.py.example

sed -i "/^BIN_DIR = .*/c\BIN_DIR = '/usr/bin'" openstack_dashboard/settings.py
sed -i "/^COMPRESS_PARSER = .*/a COMPRESS_OFFLINE = True" openstack_dashboard/settings.py

# set COMPRESS_OFFLINE=True
sed -i 's:COMPRESS_OFFLINE.=.False:COMPRESS_OFFLINE = True:' openstack_dashboard/settings.py

%build
# compile message strings
cd horizon && django-admin compilemessages && cd ..
cd openstack_dashboard && django-admin compilemessages && cd ..
# Dist tarball is missing .mo files so they're not listed in distributed egg metadata.
# Removing egg-info and letting PBR regenerate it was working around that issue
# but PBR cannot regenerate complete SOURCES.txt so some other files wont't get installed.
# Further reading why not remove upstream egg metadata:
# https://github.com/emonty/python-oslo-messaging/commit/f632684eb2d582253601e8da7ffdb8e55396e924
# https://fedorahosted.org/fpc/ticket/488
echo >> horizon.egg-info/SOURCES.txt
ls */locale/*/LC_MESSAGES/django*mo >> horizon.egg-info/SOURCES.txt
%{__python} setup.py build

# compress css, js etc.
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py
# get it ready for compressing later in puppet-horizon
%{__python} manage.py collectstatic --noinput --clear
%{__python} manage.py compress --force


# build docs
sphinx-build -b html doc/source html

# undo hack
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# drop httpd-conf snippet
install -m 0644 -D -p %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sharedstatedir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard

# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf


# Copy everything to /usr/share
mv %{buildroot}%{python_sitelib}/openstack_dashboard \
   %{buildroot}%{_datadir}/openstack-dashboard
cp manage.py %{buildroot}%{_datadir}/openstack-dashboard
rm -rf %{buildroot}%{python_sitelib}/openstack_dashboard

# remove unnecessary .po files
find %{buildroot} -name django.po -exec rm '{}' \;
find %{buildroot} -name djangojs.po -exec rm '{}' \;

# Move config to /etc, symlink it back to /usr/share
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings
ln -s ../../../../../%{_sysconfdir}/openstack-dashboard/local_settings %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py

mkdir -p %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d/* %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
rmdir %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d
ln -s ../../../../..%{_sysconfdir}/openstack-dashboard/local_settings.d %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d

mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/*.json %{buildroot}%{_sysconfdir}/openstack-dashboard
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/cinder_policy.d %{buildroot}%{_sysconfdir}/openstack-dashboard
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/nova_policy.d %{buildroot}%{_sysconfdir}/openstack-dashboard

%find_lang django --all-name

grep "\/usr\/share\/openstack-dashboard" django.lang > dashboard.lang
grep "\/site-packages\/horizon" django.lang > horizon.lang

# copy static files to %{_datadir}/openstack-dashboard/static
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a openstack_dashboard/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a horizon/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a static/* %{buildroot}%{_datadir}/openstack-dashboard/static

# create /var/run/openstack-dashboard/ and own it
mkdir -p %{buildroot}%{_sharedstatedir}/openstack-dashboard

# create /var/log/horizon and own it
mkdir -p %{buildroot}%{_var}/log/horizon

# place logrotate config:
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -a %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-dashboard

%check
%{__python2} manage.py test horizon --settings=horizon.test.settings --ignore-files="(test_checks|firefox_binary|webdriver|pull_catalog)"

%post -n openstack-dashboard
# ugly hack to set a unique SECRET_KEY
sed -i "/^from horizon.utils import secret_key$/d" /etc/openstack-dashboard/local_settings
sed -i "/^SECRET_KEY.*$/{N;s/^.*$/SECRET_KEY='`openssl rand -hex 10`'/}" /etc/openstack-dashboard/local_settings
# reload systemd unit files
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
# update systemd unit files
%{systemd_postun}

%files -f horizon.lang
%doc README.rst openstack-dashboard-httpd-logging.conf
%license LICENSE
%dir %{python_sitelib}/horizon
%{python_sitelib}/horizon/*.py*
%{python_sitelib}/horizon/browsers
%{python_sitelib}/horizon/conf
%{python_sitelib}/horizon/contrib
%{python_sitelib}/horizon/forms
%{python_sitelib}/horizon/hacking
%{python_sitelib}/horizon/management
%{python_sitelib}/horizon/static
%{python_sitelib}/horizon/tables
%{python_sitelib}/horizon/tabs
%{python_sitelib}/horizon/templates
%{python_sitelib}/horizon/templatetags
%{python_sitelib}/horizon/test
%{python_sitelib}/horizon/utils
%{python_sitelib}/horizon/workflows
%{python_sitelib}/horizon/karma.conf.js
%{python_sitelib}/horizon/middleware
%{python_sitelib}/openstack_auth
%{python_sitelib}/*.egg-info

%files -n openstack-dashboard -f dashboard.lang
%license LICENSE
%dir %{_datadir}/openstack-dashboard/
%{_datadir}/openstack-dashboard/*.py*
%{_datadir}/openstack-dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/*.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/api
%{_datadir}/openstack-dashboard/openstack_dashboard/contrib
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/admin
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/identity
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/project
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/settings
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__init__.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/django_pyscss_fix
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
%{_datadir}/openstack-dashboard/openstack_dashboard/karma.conf.js
%{_datadir}/openstack-dashboard/openstack_dashboard/local
%{_datadir}/openstack-dashboard/openstack_dashboard/management
%{_datadir}/openstack-dashboard/openstack_dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/templatetags
%{_datadir}/openstack-dashboard/openstack_dashboard/themes
%{_datadir}/openstack-dashboard/openstack_dashboard/test
%{_datadir}/openstack-dashboard/openstack_dashboard/usage
%{_datadir}/openstack-dashboard/openstack_dashboard/utils
%{_datadir}/openstack-dashboard/openstack_dashboard/wsgi
%dir %{_datadir}/openstack-dashboard/openstack_dashboard
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??/LC_MESSAGES
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??/LC_MESSAGES
%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings.d/
%{_sysconfdir}/openstack-dashboard/local_settings.d/*.example
%{_datadir}/openstack-dashboard/openstack_dashboard/.eslintrc

%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard
%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.d/
%dir %attr(0750, apache, apache) %{_sharedstatedir}/openstack-dashboard
%dir %attr(0750, apache, apache) %{_var}/log/horizon
%config(noreplace) %{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/keystone_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/glance_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/neutron_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.d/consistencygroup.yaml
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.d/api-extensions.yaml
%config(noreplace) %attr(0644, root, root) %{_sysconfdir}/logrotate.d/openstack-dashboard
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/openstack-dashboard.conf

%files doc
%doc html
%license LICENSE

%changelog
* Tue Apr 06 2021 Tatiana Ovchinnikova <t.v.ovtchinnikova@gmail.com> 1:13.0.3-9
- Check if the alert box has a sibling element, delete its parent if it doesn't exist (rhbz#1802411)

* Tue Nov 24 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-8
- Work around a race condition in OrderedDict.popitem() (rhbz#1896614)
- Add hide_create_volume to LAUNCH_INSTANCE_DEFAULTS (rhbz#1732244)

* Tue Oct 13 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-7
- Fix open redirect (rhbz#1807688)

* Mon May 18 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-6
- Set up the initial displayed values in all boot-sources (rhbz#1794444)
- Add pagination to Source table in Launch Instance wizard (rhbz#1794444)

* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 1:13.0.3-5
- Fix typo in publicize_image policy name
- Ensure python versions

* Fri Apr 24 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-4
- Use microversion 2.60 when attaching a multiattach volume (rhbz#1814957)
- Force encoding of port and network names (rhbz#1819608)

* Fri Apr 03 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-3
- Avoid forced logout when 403 error encountered (rhbz#1813430)

* Wed Mar 25 2020 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.3-2
- Fix handling multibyte languages (rhbz#1784659)

* Tue Jan 28 2020 Steve Linabery <slinaber@redhat.com> 1:13.0.3-1
- Update to 13.0.3
- Fix quoting in zuul for tempest plugins

* Thu Dec 19 2019 Tatiana Ovchinnikova <t.v.ovtchinnikova@gmail.com> 1:13.0.2-8
- Fix deleting port from port details page (rhbz#1700724)

* Tue Dec 03 2019 Tatiana Ovchinnikova <tovchinn@redhat.com> 1:13.0.2-7
- Allow image format edit only for queued images (rhbz#1746470)
- Redirect back if deleting from image details (rhbz#1707682)
- Reproduce navigations on refreshing ngdetails view (rhbz#1707682)
- Ensure to show security groups only from current project (rhbz#1714661)
- Use POST/Redirect/GET for an instance resize form (rhbz#1643099)

* Thu Nov 21 2019 Radomir Dopieralski <openstack@sheep.art.pl> 1:13.0.2-6
- Fix downstream tests (rhbz#1774644)
- Add Allowed Address Pair/Delete buttons are only visible to admin

* Tue Oct 29 2019 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.2-5
- Allow creating ICMPV6 rules (rhbz#1275965)

* Mon Oct 07 2019 Steve Linabery <slinaber@redhat.com> 1:13.0.2-4
- Fix image description field

* Tue Sep 03 2019 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.2-3
- Properly calculate auth_url for WEBSSO from POST data (rhbz#1697932)

* Mon Sep 02 2019 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.2-2
- Fixes creating nondefault type volumes from volume (rhbz#1700726)
- Don't expose endpoint URLs in the login form (rhbz#1697932)

* Tue Jun 04 2019 Steve Linabery <slinaber@redhat.com> 1:13.0.2-1
- Update to 13.0.2
- Complete angular translation extract pattern

* Tue May 14 2019 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.1-7
- rework memoized as a LRU cache with expiry (rhbz#1690279)

* Fri Apr 05 2019 Jon Schlueter <jschluet@redhat.com> 1:13.0.1-6
- Use correct cinder API version for tenant_absolute_limits
- update to stable/queens (rhbz#1696845)

* Fri Mar 08 2019 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.1-5
- Consistency Group Snapshots detail url is wrong (rhbz#1672884)
- Fixing a link in templates of CG and CG snapshots (rhbz#1641826)
- Don't use check_for_language in the user settings form (rhbz#1678542)
- Allow keypairs to contain a underscore (rhbz#1665084)

* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 1:13.0.1-4
- Add Fix django.contrib.auth.middleware monkey patching for APITestCase
- Restores deletion in flat network topology
- Fix images minimum ram and disk default values
- Fix django.contrib.auth.middleware monkey patching (rhbz#1659346)

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 1:13.0.1-3
- Add enabled check in Backups panel
- update (rhbz#1654300)

* Wed Jul 25 2018 Jon Schlueter <jschluet@redhat.com> 1:13.0.1-2
- Add reserved status key word to horizon
- Sort image list by name when launch instance
- Update RHEL/CentOS horizon install instruction
- Allow OVA upload for images
- Improve mocking in REST API tests (test_glance)
- Update to 13.0.1 (rhbz#1608466)

* Thu Jul 12 2018 Radomir Dopieralski <rdopiera@redhat.com> 1:13.0.1-0.20180411230906
- Obsolete openstack_auth up to 3.6.1-1

* Tue Apr 17 2018 Jon Schlueter <jschluet@redhat.com> 1:13.0.1-0.20180328225013.486162d
- Fix pep8 errors
- Fix Angular errors in openstack_auth

* Wed Apr 04 2018 Radomir Dopieralski <openstack@sheep.art.pl> 1:13.0.1-0.20180323102049
    - remove openstack-dashboard-theme
